function d_perm = build_dperm (data, cl, type_mt, seq_samp)
%% BUILD_DPERM computes D-scores for a given class permutation.
%
% D_PERM = BUILD_DPERM (DATA, CL, TYPE_MT, SEQ_SAMP) transforms the DATA in
% CL class design, checks the CL safety referring to the all possible
% permutation SEQ_SAMP , and achieve TYPE_MT statistical test.
%
% VALUE
%       D_PERM : the computed permutation.

global s0

n_row = size (data, 1);
B = size (cl, 1);
d_perm = zeros (n_row, B);

for i = 1:B
    buff_cl = cl (i, :);
    
    if length (unique (buff_cl)) == 1
        buff_cl = bal_perm (seq_samp);
    end
    
    [r, s] = perm_statest_num_denum (data, buff_cl, type_mt);
    
    d_perm (:, i) = sort (r ./ (s + s0));
end
end
