function full_results (d, d_bar, vec_false)
%% FULL_RESULTS prints out a summary of the SAM.
%
% FULL_RESULTS (D, D_BAR, VEC_FALSE) lists out different values of Delta
% determined using D scores, D_BAR scores and false called observations
% VEC_FALSE. The user is then provided with a Delta to set according to
% a desired amount of called observations.

global delta

[mat_fdr, mat_fdr_hdr] = stats_cal (d, d_bar, vec_false, delta);

elmt_le = length (mat_fdr_hdr) - 2;

fprintf ('%s', mat_fdr_hdr{1});

for i = 2:elmt_le
    fprintf ('\t%s', mat_fdr_hdr{i});
end
fprintf ('\n');

[nrow, ncol] = size (mat_fdr);
ncol = ncol - 2;

for i = 1:nrow
    fprintf ('%.1f', mat_fdr (i, 1));
    for j = 2:ncol
        fprintf ('\t%.1f', mat_fdr (i, j));
    end
    fprintf ('\n');
end
fprintf ('\n');
end
