function purged_mat = purge_nan (ill_mat)
%% PURGE_NAN cleans missing values
%
% PURGE_NAN removes all NaNs comprised in ILL_MAT using the handle NA_METHOD
% defined in GLOBAL_ARGS.
%
% VALUE
%       PURGED_MAT : same data as the input, with no NaN in it.
%
% See also GLOBAL_ARGS.

global na_method

rplc_mat = na_method (ill_mat (~isnan (ill_mat)), 2);

[nrow, ncol] = size (ill_mat);

purged_mat = zeros (nrow, ncol);

for i = 1:nrow
    buff_row = ill_mat (i, :);
    buff_row (isnan (buff_row)) = rplc_mat (i);
    purged_mat (i, :) = buff_row;
end
end
