function indexes = ranking (x)
%% RANKING ascendantly ranks the X content.
%
% INDEXES = RANKING (X) returns the INDEXES of the values in X if they were
% ascendantly sorted.
%
% VALUE
%       INDEXES : the alpha-numeric ranks of the input.
%
% EXAMPLE
% 
%   x = [9, 3, -1, 2];
%   ranking (x)
%       ans = 4     3     1     2

[~, buff_ranks] = sort (x);
[~, indexes] = sort (buff_ranks);
end
