function sam_input (intens_file, names_file)
%% SAM_INPUT reads the raw files containing observations intensities and names.
%
% SAM_INPUT (INTENS_FILE, NAMES_FILE) set the global arguments DATA and
% GENE_NAMES by the content of respectively INTENS_FILE and _NAMES_FILE ,
% files that contain respectively observations' expression values and names.
% 
% INTENS_FILE is assumed to be in this format :
%
%       - the file contains neither row names, nor column names;
%
%       - each row I gives the full data for the I-th observation;
%
%       - each column J gives the full data for the J-th experiment (sample);
%
%       - for each row, two consecutive fields are separated by one tabulation.
%
% NAMES_FILE is assumed to be in this format :
%
%       - the file has the same number of rows as the INTENS_FILE ;
%
%       - the file has one and only one column.
%
% See also GLOBAL_ARGS

global data gene_names

data = dlmread (intens_file, '\t');
gene_names = importdata (names_file);

[nrow, ncol] = size (data);
fprintf ('\tObservations count : %i\n\tExperiments count : %i\n\n', nrow, ncol);
end
