function save_sam_results (mat_sig, mat_sig_hdr, mat_fdr, called_names,...
    delta, file_name)
%% SAVE_SAM_RESULTS writes the SAM results in a file.
%
% SAVE_SAM_RESULTS (..., FILE_NAME) prints in FILE_NAME the found SAM
% results.
%
% See also SAM_RESULTS

global s0 B

[sig_row, sig_col] = size (mat_sig);

fid = fopen (file_name, 'w');

fprintf (strcat ('delta : %.1f\ns0 : %g\nNumber of permutations : %i\nprior',...
    ' probability : %i\nlow cutoff : %g\nup cutoff : %g\nIdentified genes',...
    ' : %i\nFalsely called genes : %g\nFDR : %g'),...
    delta, s0, B, mat_fdr (1, 2), mat_fdr (1, 6), mat_fdr (1, 7),...
    mat_fdr (1, 4), mat_fdr (1, 3), mat_fdr (1, 5));

fprintf (fid, strcat ('delta : %.1f\ns0 : %g\nNumber of permutations : %i\n',...
    'prior probability : %i\nlow cutoff : %g\nup cutoff : %g\nIdentified',...
    ' genes : %i\nFalsely called genes : %g\nFDR : %g'),...
    delta, s0, B, mat_fdr (1, 2), mat_fdr (1, 6), mat_fdr (1, 7),...
    mat_fdr (1, 4), mat_fdr (1, 3), mat_fdr (1, 5));

fprintf (fid, '\n\n');

fprintf (fid, '%s\t', mat_sig_hdr {1});

fprintf (fid, '%s\t', 'Name');

for i = 2 : (sig_col - 1)
    fprintf (fid, '%s\t', mat_sig_hdr {i});
end

fprintf (fid, '\n');

%'Row', 'Name', 'D-value', 'Std-dev', 'Raw_P-val','Q-val','Fold-Change'
for i = 1:sig_row
    fprintf (fid, '%i\t%s\t%g\t%g\t%g\t%g\t%g\n', mat_sig(i, 1),...
        called_names{i}, mat_sig(i, 2), mat_sig(i, 3), mat_sig(i, 4),...
        mat_sig(i, 5), mat_sig(i, 6));
end
fclose (fid);

fprintf ('\n\nThe sesults were saved in : %s\n\n', file_name);
end
