function type_mt = test_type (cl)
%% TEST_TYPE decides which statistical test to launch.
%
% TYPE_MT = TEST_TYPE (CL) returns the statistical test TYPE_MT that will be
% applied on the data.
%
% VALUE
%       TYPE_MT : the name of the statistical test with which the SAM is done.

global data var_equal WILC_SIGNED_RANK_STAT WILC_RANK_SUMS_t...
    WILC_RANK_SUMS_t_equalvar WILC_SIGNED_RANK_SCORES F_STAT

if length (cl) ~= size (data, 2)
    fprintf ('cl length : %i\ndata cols : %i\n\n', length (cl), size(data, 2));
    error ('test_type:bad_input', strcat ('The length of cl must be equal',...
        ' to the number of columns of data.\n\n'));
end

uni_cl = length (unique (cl));
switch uni_cl
    case 1
        type_mt = WILC_SIGNED_RANK_STAT;
    case 2
        if var_equal == 1
            type_mt = WILC_RANK_SUMS_t_equalvar;
        else
            type_mt = WILC_RANK_SUMS_t;
        end
    case length (cl)
        type_mt = WILC_SIGNED_RANK_SCORES;
    otherwise
        if uni_cl > 2
            type_mt = F_STAT;
        else
            error ('test_type:wrong_classes', strcat ('There is something',...
                ' wrong with the class labels.\n\n'));
        end
end
end
